﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DontHarmDesktop.ViewModels;

namespace DontHarmDesktop.Pages
{
    /// <summary>
    /// Логика взаимодействия для AuthPage.xaml
    /// </summary>
    public partial class AuthPage : Page
    {
        public AuthPage()
        {
            InitializeComponent();
            DataContext = new AuthViewModel();
        }

        /// <summary>
        /// Событие нажатия на кнопку "Показать пароль"
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void TogglePasswordButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            ShowPasswordTextBox.Text = PasswordPasswordBox.Password;
            PasswordPasswordBox.Visibility = Visibility.Collapsed;
            ShowPasswordTextBox.Visibility = Visibility.Visible;
        }

        /// <summary>
        /// Событие отжатия кнопки "Показать пароль"
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void TogglePasswordButton_MouseUp(object sender, MouseButtonEventArgs e)
        {
            PasswordPasswordBox.Visibility = Visibility.Visible;
            ShowPasswordTextBox.Visibility = Visibility.Collapsed;
        }

        /// <summary>
        /// Событие клика на кнопку авторизации
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void AuthorizeButton_Click(object sender, RoutedEventArgs e)
        {
            var success = App.LogOn(LoginTextBox.Text, PasswordPasswordBox.Password);
            if (success)
            {
                NavigationService.Navigate(new WelcomePage());
            }
        }
    }
}
